hxt-9.3.1.22: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2008 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.XML.HXT.Arrow.Binary

Description

De-/Serialisation arrows for XmlTrees and other arbitrary values with a Binary instance

Synopsis

- readBinaryValue :: Binary a => String -> IOStateArrow s b a
- writeBinaryValue :: Binary a => String -> IOStateArrow s a ()

# Documentation

readBinaryValue :: Binary a => String -> IOStateArrow s b a #

writeBinaryValue :: Binary a => String -> IOStateArrow s a () #

Serialize a value, optionally compress it, and write it to a file. In case of an error, the error message is issued and the arrow fails